Package org.apache.commons.collections4.iterators

# Class EmptyOrderedIterator<E>

java.lang.Object
org.apache.commons.collections4.iterators.EmptyOrderedIterator<E>

Type Parameters:
  `E` - the type of elements returned by this iterator.

All Implemented Interfaces:
  `Iterator<E>`, `OrderedIterator<E>`, `ResettableIterator<E>`

public class EmptyOrderedIterator<E> extends Object implements OrderedIterator<E>, ResettableIterator<E>
Provides an implementation of an empty ordered iterator.

Since:
  3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OrderedIterator`
  `INSTANCE`
  Singleton instance of the iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyOrderedIterator()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(E obj)`
  `static <E> OrderedIterator<E>`
  `emptyOrderedIterator()`
  Typed instance of the iterator.
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `E`
  `next()`
  `int`
  `nextIndex()`
  `E`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `reset()`
  `void`
  `set(E obj)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext, next, remove`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

  `hasPrevious, previous`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Field Details

  - ### INSTANCE

    public static final OrderedIterator INSTANCE
    Singleton instance of the iterator.
    Since:
      3.1

- ## Constructor Details

  - ### EmptyOrderedIterator

    protected EmptyOrderedIterator()
    Constructs a new instance.

- ## Method Details

  - ### emptyOrderedIterator

    public static <E> OrderedIterator<E> emptyOrderedIterator()
    Typed instance of the iterator.
    Type Parameters:
      `E` - the element type
    Returns:
      OrderedIterator<E>

  - ### add

    public void add(E obj)

  - ### hasNext

    public boolean hasNext()

  - ### hasPrevious

    public boolean hasPrevious()

  - ### next

    public E next()

  - ### nextIndex

    public int nextIndex()

  - ### previous

    public E previous()

  - ### previousIndex

    public int previousIndex()

  - ### remove

    public void remove()

  - ### reset

    public void reset()

  - ### set

    public void set(E obj)